[gentoo-commits] repo/gentoo:master commit in: sys-cluster/vzctl/

2023-05-11 Thread Sam James
commit: 6c0df89fd558081636851064a702d99ebc56a9bf
Author: David Seifert  gentoo  org>
AuthorDate: Mon May  8 20:56:04 2023 +
Commit: Sam James  gentoo  org>
CommitDate: Thu May 11 20:03:41 2023 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6c0df89f

sys-cluster/vzctl: switch to virtual/openssh

Signed-off-by: David Seifert  gentoo.org>
Signed-off-by: Sam James  gentoo.org>

 sys-cluster/vzctl/{vzctl-4.9.4.ebuild => vzctl-4.9.4-r1.ebuild} | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/sys-cluster/vzctl/vzctl-4.9.4.ebuild 
b/sys-cluster/vzctl/vzctl-4.9.4-r1.ebuild
similarity index 97%
rename from sys-cluster/vzctl/vzctl-4.9.4.ebuild
rename to sys-cluster/vzctl/vzctl-4.9.4-r1.ebuild
index fc75cfa78c5f..78cbf1b65933 100644
--- a/sys-cluster/vzctl/vzctl-4.9.4.ebuild
+++ b/sys-cluster/vzctl/vzctl-4.9.4-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -30,11 +30,11 @@ RDEPEND="
sys-fs/quota
)
vzmigrate? (
+   app-alternatives/awk
app-arch/tar[xattr,acl]
-   net-misc/openssh
net-misc/rsync[xattr,acl]
net-misc/bridge-utils
-   app-alternatives/awk
+   virtual/openssh
)
 "
 DEPEND="${RDEPEND}"



[gentoo-commits] repo/gentoo:master commit in: sys-cluster/vzctl/

2021-06-07 Thread Joonas Niilola
commit: fff6eb8296c940d6b82ab91e7e31099762399cb6
Author: Michael Mair-Keimberger  levelnine  at>
AuthorDate: Sat May  8 17:20:08 2021 +
Commit: Joonas Niilola  gentoo  org>
CommitDate: Mon Jun  7 08:33:22 2021 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fff6eb82

sys-cluster/vzctl: remove unused eclass, use HTTPS, fix LICENSE

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Michael Mair-Keimberger  levelnine.at>
Signed-off-by: Joonas Niilola  gentoo.org>

 sys-cluster/vzctl/vzctl-4.9.4.ebuild | 8 
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/sys-cluster/vzctl/vzctl-4.9.4.ebuild 
b/sys-cluster/vzctl/vzctl-4.9.4.ebuild
index 7c9536d7182..c81f292bc9d 100644
--- a/sys-cluster/vzctl/vzctl-4.9.4.ebuild
+++ b/sys-cluster/vzctl/vzctl-4.9.4.ebuild
@@ -3,13 +3,13 @@
 
 EAPI=7
 
-inherit bash-completion-r1 toolchain-funcs optfeature udev
+inherit bash-completion-r1 optfeature udev
 
 DESCRIPTION="OpenVZ ConTainers control utility"
-HOMEPAGE="http://openvz.org/";
-SRC_URI="http://download.openvz.org/utils/${PN}/${PV}/src/${P}.tar.bz2";
+HOMEPAGE="https://openvz.org/";
+SRC_URI="https://download.openvz.org/utils/${PN}/${PV}/src/${P}.tar.bz2";
 
-LICENSE="GPL-2"
+LICENSE="GPL-2+"
 SLOT="0"
 KEYWORDS="amd64 ~ppc64 x86"
 IUSE="+ploop +vzmigrate"



[gentoo-commits] repo/gentoo:master commit in: sys-cluster/vzctl/

2021-03-30 Thread Sam James
commit: d7c62fe7c2b60209e25aec8da5779df8b4161028
Author: Sam James  gentoo  org>
AuthorDate: Tue Mar 30 21:44:53 2021 +
Commit: Sam James  gentoo  org>
CommitDate: Tue Mar 30 21:45:46 2021 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7c62fe7

sys-cluster/vzctl: port to EAPI 7, drop {eutils, base}.eclass, add optfeature

Signed-off-by: Sam James  gentoo.org>

 sys-cluster/vzctl/vzctl-4.9.4.ebuild | 69 +---
 1 file changed, 33 insertions(+), 36 deletions(-)

diff --git a/sys-cluster/vzctl/vzctl-4.9.4.ebuild 
b/sys-cluster/vzctl/vzctl-4.9.4.ebuild
index 97b9d64eb6e..7c9536d7182 100644
--- a/sys-cluster/vzctl/vzctl-4.9.4.ebuild
+++ b/sys-cluster/vzctl/vzctl-4.9.4.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="5"
+EAPI=7
 
-inherit base bash-completion-r1 eutils toolchain-funcs udev
+inherit bash-completion-r1 toolchain-funcs optfeature udev
 
 DESCRIPTION="OpenVZ ConTainers control utility"
 HOMEPAGE="http://openvz.org/";
@@ -14,31 +14,35 @@ SLOT="0"
 KEYWORDS="amd64 ~ppc64 x86"
 IUSE="+ploop +vzmigrate"
 
-RDEPEND="net-firewall/iptables
-   sys-apps/ed
-   >=sys-apps/iproute2-3.3.0
-   >=sys-fs/vzquota-3.1
-   ploop? (
-   >=sys-cluster/ploop-1.13
-   sys-block/parted
-   sys-fs/quota
-   dev-libs/libxml2
-   )
-   >=dev-libs/libcgroup-0.38
-   vzmigrate? (
+BDEPEND="virtual/pkgconfig"
+RDEPEND="
+   >=dev-libs/libcgroup-0.38
+   net-firewall/iptables
+   sys-apps/attr
+   sys-apps/ed
+   >=sys-apps/iproute2-3.3.0
+   >=sys-fs/vzquota-3.1
+   virtual/udev
+   ploop? (
+   dev-libs/libxml2
+   sys-block/parted
+   >=sys-cluster/ploop-1.13
+   sys-fs/quota
+   )
+   vzmigrate? (
+   app-arch/tar[xattr,acl]
net-misc/openssh
net-misc/rsync[xattr,acl]
-   app-arch/tar[xattr,acl]
net-misc/bridge-utils
virtual/awk
-   )
-   virtual/udev
-   sys-apps/attr
-   "
+   )
+"
+DEPEND="${RDEPEND}"
 
-DEPEND="${RDEPEND}
-   virtual/pkgconfig
-   "
+PATCHES=(
+   "${FILESDIR}"/${P}-glibc225.patch
+   "${FILESDIR}"/${P}-glibc225-2.patch
+)
 
 src_prepare() {
# Set default OSTEMPLATE on gentoo
@@ -46,13 +50,10 @@ src_prepare() {
# Set proper udev directory
sed -i -e "s:/lib/udev:$(get_udevdir):" src/lib/dev.c || die 'sed on 
src/lib/dev.c failed'
 
-   epatch "${FILESDIR}/${P}-glibc225.patch"
-   epatch "${FILESDIR}/${P}-glibc225-2.patch"
-   epatch_user
+   default
 }
 
 src_configure() {
-
econf \
--localstatedir=/var \
--enable-udev \
@@ -64,11 +65,10 @@ src_configure() {
 }
 
 src_install() {
-
emake DESTDIR="${D}" udevdir="$(get_udevdir)"/rules.d install 
install-gentoo
 
# install the bash-completion script into the right location
-   rm -rf "${ED}"/etc/bash_completion.d
+   rm -rf "${ED}"/etc/bash_completion.d || die
newbashcomp etc/bash_completion.d/vzctl.sh ${PN}
 
# We need to keep some dirs
@@ -77,12 +77,9 @@ src_install() {
 }
 
 pkg_postinst() {
-   einfo "This vzctl release required kernel above 2.6.32.92"
-
-   einfo "If you have checkpoint suspend/restore feature in vanilla kernel"
-   einfo "please install "sys-process/criu" "
-   einfo "This is experimental and not stable ( in gentoo ) now"
+   einfo "This vzctl release requires a kernel above 2.6.32.92"
 
-   einfo "if you have work with  .xz compressed template, please install 
app-arch/xz-utils"
-   einfo "if you have check signature downloaded template - install gpg "
+   optfeature "Checkpoint suspend/restore support (experimental)" 
sys-process/criu
+   optfeature "Compressed .xz templates" app-arch/xz-utils
+   optfeature "Signed templates" app-crypt/gnupg
 }



[gentoo-commits] repo/gentoo:master commit in: sys-cluster/vzctl/, sys-cluster/vzctl/files/

2017-10-20 Thread Andreas Hüttel
commit: 671e279dc14f829cf52b0bf95df2b4221edf54ba
Author: Andreas K. Hüttel  gentoo  org>
AuthorDate: Fri Oct 20 21:28:30 2017 +
Commit: Andreas Hüttel  gentoo  org>
CommitDate: Fri Oct 20 21:28:30 2017 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=671e279d

sys-cluster/vzctl: Fix build with glibc-2.25, bug 604230

Closes: https://bugs.gentoo.org/604230
Package-Manager: Portage-2.3.12, Repoman-2.3.3

 .../vzctl/files/vzctl-4.9.4-glibc225-2.patch   | 33 ++
 sys-cluster/vzctl/files/vzctl-4.9.4-glibc225.patch | 11 
 sys-cluster/vzctl/vzctl-4.9.4.ebuild   |  5 +++-
 3 files changed, 48 insertions(+), 1 deletion(-)

diff --git a/sys-cluster/vzctl/files/vzctl-4.9.4-glibc225-2.patch 
b/sys-cluster/vzctl/files/vzctl-4.9.4-glibc225-2.patch
new file mode 100644
index 000..de8eca658c0
--- /dev/null
+++ b/sys-cluster/vzctl/files/vzctl-4.9.4-glibc225-2.patch
@@ -0,0 +1,33 @@
+diff -ruN vzctl-4.9.4.orig/src/lib/dev.c vzctl-4.9.4/src/lib/dev.c
+--- vzctl-4.9.4.orig/src/lib/dev.c 2017-10-20 23:22:14.689240049 +0200
 vzctl-4.9.4/src/lib/dev.c  2017-10-20 23:24:28.972830730 +0200
+@@ -19,6 +19,7 @@
+ #include 
+ #include 
+ #include 
++#include 
+ #include 
+ #include 
+ #include 
+diff -ruN vzctl-4.9.4.orig/src/lib/hooks_ct.c vzctl-4.9.4/src/lib/hooks_ct.c
+--- vzctl-4.9.4.orig/src/lib/hooks_ct.c2015-08-27 01:41:24.0 
+0200
 vzctl-4.9.4/src/lib/hooks_ct.c 2017-10-20 23:24:14.508659254 +0200
+@@ -5,6 +5,7 @@
+ #include 
+ #include 
+ #include 
++#include 
+ #include 
+ #include 
+ #include 
+diff -ruN vzctl-4.9.4.orig/src/lib/vps_configure.c 
vzctl-4.9.4/src/lib/vps_configure.c
+--- vzctl-4.9.4.orig/src/lib/vps_configure.c   2015-08-27 01:41:24.0 
+0200
 vzctl-4.9.4/src/lib/vps_configure.c2017-10-20 23:26:01.848931798 
+0200
+@@ -24,6 +24,7 @@
+ #include 
+ #include 
+ #include 
++#include 
+ 
+ #include "vzerror.h"
+ #include "logger.h"

diff --git a/sys-cluster/vzctl/files/vzctl-4.9.4-glibc225.patch 
b/sys-cluster/vzctl/files/vzctl-4.9.4-glibc225.patch
new file mode 100644
index 000..87f86270bdd
--- /dev/null
+++ b/sys-cluster/vzctl/files/vzctl-4.9.4-glibc225.patch
@@ -0,0 +1,11 @@
+diff -ruN vzctl-4.9.4.orig/src/lib/config.c vzctl-4.9.4/src/lib/config.c
+--- vzctl-4.9.4.orig/src/lib/config.c  2015-08-27 01:41:24.0 +0200
 vzctl-4.9.4/src/lib/config.c   2017-10-20 23:19:14.651115558 +0200
+@@ -25,6 +25,7 @@
+ #include 
+ #include 
+ #include 
++#include 
+ #include 
+ #include 
+ #include 

diff --git a/sys-cluster/vzctl/vzctl-4.9.4.ebuild 
b/sys-cluster/vzctl/vzctl-4.9.4.ebuild
index 5623e9d70c8..c3aab29cb49 100644
--- a/sys-cluster/vzctl/vzctl-4.9.4.ebuild
+++ b/sys-cluster/vzctl/vzctl-4.9.4.ebuild
@@ -41,11 +41,14 @@ DEPEND="${RDEPEND}
"
 
 src_prepare() {
-
# Set default OSTEMPLATE on gentoo
sed -i -e 's:=redhat-:=gentoo-:' etc/dists/default || die 'sed on 
etc/dists/default failed'
# Set proper udev directory
sed -i -e "s:/lib/udev:$(get_udevdir):" src/lib/dev.c || die 'sed on 
src/lib/dev.c failed'
+
+   epatch "${FILESDIR}/${P}-glibc225.patch"
+   epatch "${FILESDIR}/${P}-glibc225-2.patch"
+   epatch_user
 }
 
 src_configure() {



[gentoo-commits] repo/gentoo:master commit in: sys-cluster/vzctl/files/

2017-02-10 Thread David Seifert
commit: 62bbd33354e7998be690ac3f6b17bbbe3e64abac
Author: Michael Mair-Keimberger (asterix)  gmail 
 com>
AuthorDate: Fri Feb 10 16:34:02 2017 +
Commit: David Seifert  gentoo  org>
CommitDate: Fri Feb 10 22:33:43 2017 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=62bbd333

sys-cluster/vzctl: remove unused patches

Closes: https://github.com/gentoo/gentoo/pull/3901

 .../vzctl/files/vzctl-initscript-paths.patch   | 142 -
 .../files/vzctl-initscript-typo-patch-4.8.patch|  32 -
 2 files changed, 174 deletions(-)

diff --git a/sys-cluster/vzctl/files/vzctl-initscript-paths.patch 
b/sys-cluster/vzctl/files/vzctl-initscript-paths.patch
deleted file mode 100644
index 8fc0b12009..00
--- a/sys-cluster/vzctl/files/vzctl-initscript-paths.patch
+++ /dev/null
@@ -1,142 +0,0 @@
-From: Kir Kolyshkin 
-Date: Thu, 3 Jan 2013 19:37:00 + (-0800)
-Subject: init.d/vz-gentoo: don't call tools by absolute path
-X-Git-Url: 
http://git.openvz.org/?p=vzctl;a=commitdiff_plain;h=2fc34ffb5f5e;hp=9a4a85397f7dd99e2c4059de7fb6ef5d750242c5
-
-init.d/vz-gentoo: don't call tools by absolute path
-
-Apparently in recent Gentoo the ip tool was moved from /sbin to /bin,
-so this initscript stopped working.
-
-Apparently runscript makes sure all the needed directories are in PATH
-(I have tested with runscript from baselayout-1.12.11.1, pretty old one)
-so we can just drop the /sbin/ prefix.
-
-While at it, do it not only for ip, but also for modprobe and sysctl.
-
-http://bugzilla.openvz.org/2477
-https://bugs.gentoo.org/show_bug.cgi?id=444201
-
-Reported-by: Andrei Vinogradov 
-Reported-by: Joakim 
-Signed-off-by: Kir Kolyshkin 

-
-diff --git a/etc/init.d/vz-gentoo.in b/etc/init.d/vz-gentoo.in
-index 2dd2186..51231bc 100755
 a/etc/init.d/vz-gentoo.in
-+++ b/etc/init.d/vz-gentoo.in
-@@ -87,7 +87,7 @@ start_net() {
- 
-   # load necessary modules
-   for mod in ${NET_MODULES}; do
--  /sbin/modprobe ${mod} 2>/dev/null
-+  modprobe ${mod} 2>/dev/null
-   done
- 
-   if [ ! -f ${VZVEINFO} ]; then
-@@ -95,22 +95,22 @@ start_net() {
-   fi
- 
-   # we don't operate on a running interface
--  if /sbin/ip addr list | grep -q "venet0:.*UP" 2>/dev/null; then
-+  if ip addr list | grep -q "venet0:.*UP" 2>/dev/null; then
-   return 0
-   fi
- 
-   # configure the device
-   ebegin "Bringing up interface ${VZDEV}"
--  /sbin/ip link set ${VZDEV} up
-+  ip link set ${VZDEV} up
-   eend $?
- 
--  /sbin/ip addr add 0.0.0.0/0 dev ${VZDEV}
-+  ip addr add 0.0.0.0/0 dev ${VZDEV}
- 
-   ebegin "Configuring interface ${VZDEV}"
--  /sbin/sysctl -q -w net.ipv4.conf.${VZDEV}.send_redirects=0
-+  sysctl -q -w net.ipv4.conf.${VZDEV}.send_redirects=0
-   eend $?
- 
--  if [ "x$(/sbin/sysctl -n -e net.ipv4.ip_forward)" != "x1" ]; then
-+  if [ "x$(sysctl -n -e net.ipv4.ip_forward)" != "x1" ]; then
-   ewarn "It looks like you have ip forwarding disabled. To make 
networking"
-   ewarn "available for containers, please, run sysctl -w 
net.ipv4.ip_forward=1"
-   fi
-@@ -119,15 +119,15 @@ start_net() {
- stop_net() {
-   local mod
- 
--  if /sbin/ip addr list | grep -q "venet0:.*UP" 2>/dev/null; then
-+  if ip addr list | grep -q "venet0:.*UP" 2>/dev/null; then
-   ebegin "Bringing down interface ${VZDEV}"
--  /sbin/ip link set ${VZDEV} down 2>/dev/null
-+  ip link set ${VZDEV} down 2>/dev/null
-   eend $?
-   fi
- 
-   # remove all modules we probably loaded on start_net
-   for mod in ${NET_MODULES}; do
--  /sbin/modprobe -r ${mod} > /dev/null 2>&1
-+  modprobe -r ${mod} > /dev/null 2>&1
-   done
- }
- 
-@@ -146,7 +146,7 @@ start_ve() {
-   # Then sort by bootorder
-   test -n "$velist" && velist=$(vzlist -aH -octid -s-bootorder $velist)
- 
--  /sbin/sysctl -q -w net.ipv4.route.src_check=0
-+  sysctl -q -w net.ipv4.route.src_check=0
- 
-   for veid in ${velist}; do
-   ebegin "Starting CT ${veid}"
-@@ -302,16 +302,16 @@ start() {
- 
-   ebegin "Loading OpenVZ modules"
-   for mod in ${IPTABLES_MODULES}; do
--  /sbin/modprobe ${mod} >/dev/null 2>&1
-+  modprobe ${mod} >/dev/null 2>&1
-   done
- 
-   for mod in ${PRELOAD_MODULES}; do
--  /sbin/modprobe -r ${mod} >/dev/null 2>&1
--  /sbin/modprobe ${mod} >/dev/null 2>&1
-+  modprobe -r ${mod} >/dev/null 2>&1
-+  modprobe ${mod} >/dev/null 2>&1
-   done
- 
-   for mod in ${MODULES}; do
--  /sbin/modprobe ${mod} >/dev/null 2>&1
-+  modprobe ${mod} >/dev/null 2>&1
-   rc=$?
-   if [ ${rc} -ne 0 ]; then
-   eend ${rc} "failed to load module ${mod}"
-@@

[gentoo-commits] repo/gentoo:master commit in: sys-cluster/vzctl/

2017-01-10 Thread Thomas Deutschmann
commit: 957d48bcaba8eac530f1857964976d3aa77f6d7f
Author: Thomas Deutschmann  gentoo  org>
AuthorDate: Tue Jan 10 16:28:18 2017 +
Commit: Thomas Deutschmann  gentoo  org>
CommitDate: Wed Jan 11 00:52:51 2017 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=957d48bc

sys-cluster/vzctl: Security cleanup (bug #560522)

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 sys-cluster/vzctl/Manifest   |  1 -
 sys-cluster/vzctl/vzctl-4.9.1.ebuild | 85 
 2 files changed, 86 deletions(-)

diff --git a/sys-cluster/vzctl/Manifest b/sys-cluster/vzctl/Manifest
index 3c4f93e..49e88e6 100644
--- a/sys-cluster/vzctl/Manifest
+++ b/sys-cluster/vzctl/Manifest
@@ -1,2 +1 @@
-DIST vzctl-4.9.1.tar.bz2 517940 SHA256 
b15f4b4eacd88d2a5e745f556dfe6ae079a77c0d3f0fa818674bc98715ad7d72 SHA512 
998882a1f628104a9e0c6a598ee84046fb03da03b7b2ce703396659cf7d7bd0bb67bf1590596e5e43ff1223ef23078fb7cab2228e768e79d3c3136b1ba418e50
 WHIRLPOOL 
feff55376fa5f470627f7fcbd4e9a0c24e04b8575219d33ffa5eb4a67d79e64682975b89fbf06953d4d88044e1771c9dfef3a5b578914900e5f88f59eb2d3895
 DIST vzctl-4.9.4.tar.bz2 550370 SHA256 
bc3c63841b5244181e71bd1daf7c9aca6df3d42ed886a161fa5ba4b1b4520420 SHA512 
651aa7882ba77442666a09441769f821a7374f417199380667b27c9980203597575dfe12ad5c261da22941b6a2bc6e032d3f9c2d88dcb03af6412634cc5b4706
 WHIRLPOOL 
ed3c2531919b68fc2ae8acd9ac7b582b91f0eb6976155f12e2b35dbb236044c538e6499129aca579f9bc7697379c323bc6b32d0796a74a28b816a2dfb188c84f

diff --git a/sys-cluster/vzctl/vzctl-4.9.1.ebuild 
b/sys-cluster/vzctl/vzctl-4.9.1.ebuild
deleted file mode 100644
index 29c22c8..
--- a/sys-cluster/vzctl/vzctl-4.9.1.ebuild
+++ /dev/null
@@ -1,85 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="5"
-
-inherit base bash-completion-r1 eutils toolchain-funcs udev
-
-DESCRIPTION="OpenVZ ConTainers control utility"
-HOMEPAGE="http://openvz.org/";
-SRC_URI="http://download.openvz.org/utils/${PN}/${PV}/src/${P}.tar.bz2";
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 ~ppc64 x86 -amd64-fbsd -sparc-fbsd -x86-fbsd"
-IUSE="+ploop  +vzmigrate"
-
-RDEPEND="net-firewall/iptables
-   sys-apps/ed
-   >=sys-apps/iproute2-3.3.0
-   >=sys-fs/vzquota-3.1
-   ploop? (
-   >=sys-cluster/ploop-1.13
-   sys-block/parted
-   sys-fs/quota
-   dev-libs/libxml2
-   )
-   >=dev-libs/libcgroup-0.38
-   vzmigrate? (
-   net-misc/openssh
-   net-misc/rsync[xattr,acl]
-   app-arch/tar[xattr,acl]
-   net-misc/bridge-utils
-   virtual/awk
-   )
-   virtual/udev
-   "
-
-DEPEND="${RDEPEND}
-   virtual/pkgconfig
-   "
-
-src_prepare() {
-
-   # Set default OSTEMPLATE on gentoo
-   sed -i -e 's:=redhat-:=gentoo-:' etc/dists/default || die 'sed on 
etc/dists/default failed'
-   # Set proper udev directory
-   sed -i -e "s:/lib/udev:$(get_udevdir):" src/lib/dev.c || die 'sed on 
src/lib/dev.c failed'
-}
-
-src_configure() {
-
-   econf \
-   --localstatedir=/var \
-   --enable-udev \
-   --enable-bashcomp \
-   --enable-logrotate \
-   --with-vz \
-   $(use_with ploop) \
-   --with-cgroup
-}
-
-src_install() {
-
-   emake DESTDIR="${D}" udevdir="$(get_udevdir)"/rules.d install 
install-gentoo
-
-   # install the bash-completion script into the right location
-   rm -rf "${ED}"/etc/bash_completion.d
-   newbashcomp etc/bash_completion.d/vzctl.sh ${PN}
-
-   # We need to keep some dirs
-   keepdir /vz/{dump,lock,root,private,template/cache}
-   keepdir /etc/vz/names /var/lib/vzctl/veip
-}
-
-pkg_postinst() {
-   einfo "This vzctl release required kernel above 2.6.32.92"
-
-   einfo "If you have checkpoint suspend/restore feature in vanilla kernel"
-   einfo "please install "sys-process/criu" "
-   einfo "This is experimental and not stable ( in gentoo ) now"
-
-   einfo "if you have work with  .xz compressed template, please install 
app-arch/xz-utils"
-   einfo "if you have check signature donwloaded template - install gpg "
-}



[gentoo-commits] repo/gentoo:master commit in: sys-cluster/vzctl/

2017-01-10 Thread Aaron Bauman
commit: 9d89f795293152c32c10f6c749f2e2f9cc91767f
Author: Aaron Bauman  gentoo  org>
AuthorDate: Tue Jan 10 10:01:02 2017 +
Commit: Aaron Bauman  gentoo  org>
CommitDate: Tue Jan 10 10:01:02 2017 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d89f795

sys-cluster/vzctl: amd64 stable

Package-Manager: portage-2.3.0

 sys-cluster/vzctl/vzctl-4.9.4.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sys-cluster/vzctl/vzctl-4.9.4.ebuild 
b/sys-cluster/vzctl/vzctl-4.9.4.ebuild
index 2db4186..aa57d5b 100644
--- a/sys-cluster/vzctl/vzctl-4.9.4.ebuild
+++ b/sys-cluster/vzctl/vzctl-4.9.4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -12,7 +12,7 @@ 
SRC_URI="http://download.openvz.org/utils/${PN}/${PV}/src/${P}.tar.bz2";
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ppc64 ~x86 -amd64-fbsd -sparc-fbsd -x86-fbsd"
+KEYWORDS="amd64 ~ppc64 ~x86 -amd64-fbsd -sparc-fbsd -x86-fbsd"
 IUSE="+ploop +vzmigrate"
 
 RDEPEND="net-firewall/iptables



[gentoo-commits] repo/gentoo:master commit in: sys-cluster/vzctl/

2016-12-29 Thread Göktürk Yüksek
commit: 404c988995e42f0a9f6901925543a4d31acb79c2
Author: Göktürk Yüksek  gentoo  org>
AuthorDate: Thu Dec 29 17:38:26 2016 +
Commit: Göktürk Yüksek  gentoo  org>
CommitDate: Thu Dec 29 17:45:32 2016 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=404c9889

sys-cluster/vzctl: remove the proxied maintainer per his request

Package-Manager: portage-2.3.0

 sys-cluster/vzctl/metadata.xml | 10 +-
 1 file changed, 1 insertion(+), 9 deletions(-)

diff --git a/sys-cluster/vzctl/metadata.xml b/sys-cluster/vzctl/metadata.xml
index af3916c..66ec105 100644
--- a/sys-cluster/vzctl/metadata.xml
+++ b/sys-cluster/vzctl/metadata.xml
@@ -1,15 +1,7 @@
 
 http://www.gentoo.org/dtd/metadata.dtd";>
 
-   
-   andreis.vinograd...@gmail.com
-   Andreis Vinogradovs
-   Primary maintainer, assign bugs to 
him
-   
-   
-   proxy-ma...@gentoo.org
-   Proxy Maintainers
-   
+   

Add support for ploop devices via 
sys-cluster/ploop
Add support for container 
migration



[gentoo-commits] repo/gentoo:master commit in: sys-cluster/vzctl/

2015-10-10 Thread Maxim Koltsov
commit: 193f98bc6b92ba557ddc9cded11df78510d56333
Author: Maxim Koltsov  gentoo  org>
AuthorDate: Sat Oct 10 14:27:54 2015 +
Commit: Maxim Koltsov  gentoo  org>
CommitDate: Sat Oct 10 14:33:32 2015 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=193f98bc

sys-cluster/vzctl: bump to 4.9.4, clean old

Package-Manager: portage-2.2.22

 sys-cluster/vzctl/Manifest |  3 +-
 sys-cluster/vzctl/vzctl-4.9.2.ebuild   | 86 --
 .../{vzctl-4.9.3.ebuild => vzctl-4.9.4.ebuild} |  0
 3 files changed, 1 insertion(+), 88 deletions(-)

diff --git a/sys-cluster/vzctl/Manifest b/sys-cluster/vzctl/Manifest
index 3a3c408..3c4f93e 100644
--- a/sys-cluster/vzctl/Manifest
+++ b/sys-cluster/vzctl/Manifest
@@ -1,3 +1,2 @@
 DIST vzctl-4.9.1.tar.bz2 517940 SHA256 
b15f4b4eacd88d2a5e745f556dfe6ae079a77c0d3f0fa818674bc98715ad7d72 SHA512 
998882a1f628104a9e0c6a598ee84046fb03da03b7b2ce703396659cf7d7bd0bb67bf1590596e5e43ff1223ef23078fb7cab2228e768e79d3c3136b1ba418e50
 WHIRLPOOL 
feff55376fa5f470627f7fcbd4e9a0c24e04b8575219d33ffa5eb4a67d79e64682975b89fbf06953d4d88044e1771c9dfef3a5b578914900e5f88f59eb2d3895
-DIST vzctl-4.9.2.tar.bz2 549613 SHA256 
a345719d47e8a3f96c5af4c86b58a9677848eee6f4777403b447eff2c9320cae SHA512 
c2ab45eb8f8f80c8b044f652c68c1c816b3df85f3aca5fe33b385dea4b6addeb8e6ebe6232342454efc4c683e8433149828dffdbcb181af6bfcb68d8b5a86ef1
 WHIRLPOOL 
42919c1096133250787996071f1d16e0d6bce542760c58a4d6af019960b6db7df4636d0735f21ffda95032fbabb4cf6709da532bee96e9e7775bf665049cbc46
-DIST vzctl-4.9.3.tar.bz2 549543 SHA256 
c2fe73928933609893e99b16405f9da6a2d19e43a1164e7448bea81eb47355a0 SHA512 
4c4fb69c217b403668a6ec64189eaf23d3ecaadc6ad9f09127a4c2b6d3dc88ac4c73ba182f99f5e1e9c64161a285d83421bb81343fbb83481c46a8489ac99819
 WHIRLPOOL 
546865b8b8bac4c5a95b191a283080965e1f3bfd51cdc09d4b36a0ac97df9339e8fb2a495df60290b0d92d2a3750d97a27cbb02b1de46c715b8784e1dea3e3f5
+DIST vzctl-4.9.4.tar.bz2 550370 SHA256 
bc3c63841b5244181e71bd1daf7c9aca6df3d42ed886a161fa5ba4b1b4520420 SHA512 
651aa7882ba77442666a09441769f821a7374f417199380667b27c9980203597575dfe12ad5c261da22941b6a2bc6e032d3f9c2d88dcb03af6412634cc5b4706
 WHIRLPOOL 
ed3c2531919b68fc2ae8acd9ac7b582b91f0eb6976155f12e2b35dbb236044c538e6499129aca579f9bc7697379c323bc6b32d0796a74a28b816a2dfb188c84f

diff --git a/sys-cluster/vzctl/vzctl-4.9.2.ebuild 
b/sys-cluster/vzctl/vzctl-4.9.2.ebuild
deleted file mode 100644
index 2ec6e8f..000
--- a/sys-cluster/vzctl/vzctl-4.9.2.ebuild
+++ /dev/null
@@ -1,86 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="5"
-
-inherit base bash-completion-r1 eutils toolchain-funcs udev
-
-DESCRIPTION="OpenVZ ConTainers control utility"
-HOMEPAGE="http://openvz.org/";
-SRC_URI="http://download.openvz.org/utils/${PN}/${PV}/src/${P}.tar.bz2";
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc64 ~x86 -amd64-fbsd -sparc-fbsd -x86-fbsd"
-IUSE="+ploop +vzmigrate"
-
-RDEPEND="net-firewall/iptables
-   sys-apps/ed
-   >=sys-apps/iproute2-3.3.0
-   >=sys-fs/vzquota-3.1
-   ploop? (
-   >=sys-cluster/ploop-1.13
-   sys-block/parted
-   sys-fs/quota
-   dev-libs/libxml2
-   )
-   >=dev-libs/libcgroup-0.38
-   vzmigrate? (
-   net-misc/openssh
-   net-misc/rsync[xattr,acl]
-   app-arch/tar[xattr,acl]
-   net-misc/bridge-utils
-   virtual/awk
-   )
-   virtual/udev
-   sys-apps/attr
-   "
-
-DEPEND="${RDEPEND}
-   virtual/pkgconfig
-   "
-
-src_prepare() {
-
-   # Set default OSTEMPLATE on gentoo
-   sed -i -e 's:=redhat-:=gentoo-:' etc/dists/default || die 'sed on 
etc/dists/default failed'
-   # Set proper udev directory
-   sed -i -e "s:/lib/udev:$(get_udevdir):" src/lib/dev.c || die 'sed on 
src/lib/dev.c failed'
-}
-
-src_configure() {
-
-   econf \
-   --localstatedir=/var \
-   --enable-udev \
-   --enable-bashcomp \
-   --enable-logrotate \
-   --with-vz \
-   $(use_with ploop) \
-   --with-cgroup
-}
-
-src_install() {
-
-   emake DESTDIR="${D}" udevdir="$(get_udevdir)"/rules.d install 
install-gentoo
-
-   # install the bash-completion script into the right location
-   rm -rf "${ED}"/etc/bash_completion.d
-   newbashcomp etc/bash_completion.d/vzctl.sh ${PN}
-
-   # We need to keep some dirs
-   keepdir /vz/{dump,lock,root,private,template/cache}
-   keepdir /etc/vz/names /var/lib/vzctl/veip
-}
-
-pkg_postinst() {
-   einfo "This vzctl release required kernel above 2.6.32.92"
-
-   einfo "If you have checkpoint suspend/restore feature in vanilla kernel"
-   einfo "please 

[gentoo-commits] repo/gentoo:master commit in: sys-cluster/vzctl/

2015-08-12 Thread Sergey Popov
commit: 7d7d08ee809ff54d3be61fb782e4c99f0842d81b
Author: Sergey Popov  gentoo  org>
AuthorDate: Wed Aug 12 07:10:58 2015 +
Commit: Sergey Popov  gentoo  org>
CommitDate: Wed Aug 12 07:11:44 2015 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7d7d08ee

sys-cluster/vzctl: version bump

Package-Manager: portage-2.2.20

 sys-cluster/vzctl/Manifest   |  1 +
 sys-cluster/vzctl/vzctl-4.9.3.ebuild | 86 
 2 files changed, 87 insertions(+)

diff --git a/sys-cluster/vzctl/Manifest b/sys-cluster/vzctl/Manifest
index 5265376..3a3c408 100644
--- a/sys-cluster/vzctl/Manifest
+++ b/sys-cluster/vzctl/Manifest
@@ -1,2 +1,3 @@
 DIST vzctl-4.9.1.tar.bz2 517940 SHA256 
b15f4b4eacd88d2a5e745f556dfe6ae079a77c0d3f0fa818674bc98715ad7d72 SHA512 
998882a1f628104a9e0c6a598ee84046fb03da03b7b2ce703396659cf7d7bd0bb67bf1590596e5e43ff1223ef23078fb7cab2228e768e79d3c3136b1ba418e50
 WHIRLPOOL 
feff55376fa5f470627f7fcbd4e9a0c24e04b8575219d33ffa5eb4a67d79e64682975b89fbf06953d4d88044e1771c9dfef3a5b578914900e5f88f59eb2d3895
 DIST vzctl-4.9.2.tar.bz2 549613 SHA256 
a345719d47e8a3f96c5af4c86b58a9677848eee6f4777403b447eff2c9320cae SHA512 
c2ab45eb8f8f80c8b044f652c68c1c816b3df85f3aca5fe33b385dea4b6addeb8e6ebe6232342454efc4c683e8433149828dffdbcb181af6bfcb68d8b5a86ef1
 WHIRLPOOL 
42919c1096133250787996071f1d16e0d6bce542760c58a4d6af019960b6db7df4636d0735f21ffda95032fbabb4cf6709da532bee96e9e7775bf665049cbc46
+DIST vzctl-4.9.3.tar.bz2 549543 SHA256 
c2fe73928933609893e99b16405f9da6a2d19e43a1164e7448bea81eb47355a0 SHA512 
4c4fb69c217b403668a6ec64189eaf23d3ecaadc6ad9f09127a4c2b6d3dc88ac4c73ba182f99f5e1e9c64161a285d83421bb81343fbb83481c46a8489ac99819
 WHIRLPOOL 
546865b8b8bac4c5a95b191a283080965e1f3bfd51cdc09d4b36a0ac97df9339e8fb2a495df60290b0d92d2a3750d97a27cbb02b1de46c715b8784e1dea3e3f5

diff --git a/sys-cluster/vzctl/vzctl-4.9.3.ebuild 
b/sys-cluster/vzctl/vzctl-4.9.3.ebuild
new file mode 100644
index 000..2db4186
--- /dev/null
+++ b/sys-cluster/vzctl/vzctl-4.9.3.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit base bash-completion-r1 eutils toolchain-funcs udev
+
+DESCRIPTION="OpenVZ ConTainers control utility"
+HOMEPAGE="http://openvz.org/";
+SRC_URI="http://download.openvz.org/utils/${PN}/${PV}/src/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86 -amd64-fbsd -sparc-fbsd -x86-fbsd"
+IUSE="+ploop +vzmigrate"
+
+RDEPEND="net-firewall/iptables
+   sys-apps/ed
+   >=sys-apps/iproute2-3.3.0
+   >=sys-fs/vzquota-3.1
+   ploop? (
+   >=sys-cluster/ploop-1.13
+   sys-block/parted
+   sys-fs/quota
+   dev-libs/libxml2
+   )
+   >=dev-libs/libcgroup-0.38
+   vzmigrate? (
+   net-misc/openssh
+   net-misc/rsync[xattr,acl]
+   app-arch/tar[xattr,acl]
+   net-misc/bridge-utils
+   virtual/awk
+   )
+   virtual/udev
+   sys-apps/attr
+   "
+
+DEPEND="${RDEPEND}
+   virtual/pkgconfig
+   "
+
+src_prepare() {
+
+   # Set default OSTEMPLATE on gentoo
+   sed -i -e 's:=redhat-:=gentoo-:' etc/dists/default || die 'sed on 
etc/dists/default failed'
+   # Set proper udev directory
+   sed -i -e "s:/lib/udev:$(get_udevdir):" src/lib/dev.c || die 'sed on 
src/lib/dev.c failed'
+}
+
+src_configure() {
+
+   econf \
+   --localstatedir=/var \
+   --enable-udev \
+   --enable-bashcomp \
+   --enable-logrotate \
+   --with-vz \
+   $(use_with ploop) \
+   --with-cgroup
+}
+
+src_install() {
+
+   emake DESTDIR="${D}" udevdir="$(get_udevdir)"/rules.d install 
install-gentoo
+
+   # install the bash-completion script into the right location
+   rm -rf "${ED}"/etc/bash_completion.d
+   newbashcomp etc/bash_completion.d/vzctl.sh ${PN}
+
+   # We need to keep some dirs
+   keepdir /vz/{dump,lock,root,private,template/cache}
+   keepdir /etc/vz/names /var/lib/vzctl/veip
+}
+
+pkg_postinst() {
+   einfo "This vzctl release required kernel above 2.6.32.92"
+
+   einfo "If you have checkpoint suspend/restore feature in vanilla kernel"
+   einfo "please install "sys-process/criu" "
+   einfo "This is experimental and not stable ( in gentoo ) now"
+
+   einfo "if you have work with  .xz compressed template, please install 
app-arch/xz-utils"
+   einfo "if you have check signature downloaded template - install gpg "
+}